%global momorel 2
%global md5sum_src0 8a716bebecb6e647d2e8a29ea5d8447f

Summary: A file compression utility.
Name: bzip2
Version: 1.0.3
Release: %{momorel}m
License: BSD
Group: Applications/File
URL: http://www.bzip.org/
%NoSource 0 http://www.bzip.org/%{version}/bzip2-%{version}.tar.gz %{md5sum_src0}
Source2: bzme
Source3: bzme.1
Patch0: bzip2-1.0.2-saneso.patch
Patch1: bzdiff-tempfile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildPreReq: patch >= 2.5.9

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.

%package devel
Summary: Header files and libraries for developing apps which will use bzip2.
Group: Development/Libraries
Requires: bzip2 = %{version}

%description devel

Header files and a static library of bzip2 functions, for developing apps
which will use the library.

%prep
%setup -q

%patch0 -p1 -b .saneso
%patch1 -p0 -b .bzdiff

%build
make -f Makefile-libbz2_so CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -fpic -fPIC" all
rm -f *.o
make CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1,%{_libdir},%{_includedir}}
install -m 755 bzlib.h %{buildroot}/%{_includedir}
install -m 755 libbz2.so.%{version} %{buildroot}/%{_libdir}
install -m 755 libbz2.a %{buildroot}/%{_libdir}
install -m 755 bzip2-shared  %{buildroot}/%{_bindir}/bzip2
install -m 755 bzip2recover bzgrep bzdiff bzmore  %{buildroot}/%{_bindir}/
install -m 644 bzip2.1 bzdiff.1 bzgrep.1 bzmore.1  %{buildroot}/%{_mandir}/man1/
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}
install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/
ln -s bzip2 %{buildroot}/%{_bindir}/bunzip2
ln -s bzip2 %{buildroot}/%{_bindir}/bzcat
ln -s bzdiff %{buildroot}/%{_bindir}/bzcmp
ln -s bzmore %{buildroot}/%{_bindir}/bzless
ln -s libbz2.so.%{version} %{buildroot}/%{_libdir}/libbz2.so.1
ln -s libbz2.so.1 %{buildroot}/%{_libdir}/libbz2.so
ln -s bzip2.1 %{buildroot}/%{_mandir}/man1/bzip2recover.1
ln -s bzip2.1 %{buildroot}/%{_mandir}/man1/bunzip2.1
ln -s bzip2.1 %{buildroot}/%{_mandir}/man1/bzcat.1
ln -s bzdiff.1 %{buildroot}/%{_mandir}/man1/bzcmp.1
ln -s bzmore.1 %{buildroot}/%{_mandir}/man1/bzless.1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README README.COMPILATION.PROBLEMS Y2K_INFO
%doc manual*html
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/*so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*so

%changelog
* Wed Jan  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-2m)
- update bzdiff-tempfile.patch for patch-2.5.9-1m

* Thu Jul 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.3-1m)
- up to 1.0.3
- [SECURITY] CAN-2005-0953 CAN-2005-1260

* Tue Sep 28 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.2-8m)
- used %%{_libdir} and %%{_includedir} macros

* Tue Sep 28 2004 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.0.2-7m)
- revise bzdiff-tempfile.patch because
  previous version could cause race condition.

* Mon Sep 27 2004 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (1.0.2-6m)
- add bzdiff patch

* Mon Oct 14 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.2-5m)
- remove Source1: bzgrep (the latest one is included in source archive)
- fix rel num

* Sat Oct 12 2002 Nguyen Hung Vu <vuhung@momonga-linux.org>
- (1.0.2-4m)
- Add bzme script to bzip2 package. No changes have been made to source code

* Sat Oct 12 2002 Nguyen Hung Vu <vuhung@momonga-linux.org>
- (1.0.2-3m)
- Change the k prefix to m. Nothing else

* Sun Mar 24 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.0.2-2k)
- add html manuals
- import from rawhide (1.0.2-2)
-   Total overhaul of build precedure
-   Add many small helper programs added to 1.0.2
-   drop old patches

* Sun Oct 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.1-6k)
- add BuildPreReq tag to build on alpha

* Thu Oct 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.1-4k)
- modified bzip2-1.0.1.libtoolizeautoconf-kondara.patch.bz2,
  i.e. version number correct

* Sun Nov 19 2000 TABUCHI Takaaki <tab@kondara.org>
- update version 1.0.1
- change Source: part
- update patch for 1.0.1

* Sun Jun 04 2000 TABUCHI Takaaki <tab@kondara.org>
- fix typo rawhide's libtoolizeautoconf.patch.

* Thu May 18 2000 TABUCHI Takaaki <tab@kondara.org>
- obsolete shlib patch.
- add Makefile patch. (tmp & kluge)

* Wed May 17 2000 TABUCHI Takaaki <tab@kondara.org>
- update to 1.0.0.
- adapt shlib patch for 1.0.0.
